### Method

# Gtk.StyleContext.lookup_color

#### Declaration [src]

    gboolean
    gtk_style_context_lookup_color (
      GtkStyleContext* context,
      const char* color_name,
      GdkRGBA* color
    )

#### Description [src]

Looks up and resolves a color name in the `context` color map.

#### Parameters

`color_name` | `const char*`
| color name to lookup
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`color` | `GdkRGBA*`
| Return location for the looked up color
| Direction: out
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if `color_name` was found and resolved, `FALSE` otherwise